LelantosLelantos

Snapshots

Create and restore sandbox snapshots

Create snapshot from sandbox

POST
/sandboxes/{sandboxID}/snapshots
X-API-Key<token>

In: header

Path Parameters

sandboxID*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string

Response Body

application/json

application/json

application/json

curl -X POST "https://api.lelantos.ai/sandboxes/string/snapshots" \  -H "Content-Type: application/json" \  -d '{}'
{
  "snapshotID": "string",
  "names": [
    "string"
  ]
}
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}

List snapshots

GET
/snapshots
X-API-Key<token>

In: header

Query Parameters

sandboxID?string
limit?integer
Default100
Formatint32
Range1 <= value <= 100
nextToken?string

Cursor for pagination. Use the value from the X-Next-Token response header.

Response Body

application/json

application/json

curl -X GET "https://api.lelantos.ai/snapshots"
[
  {
    "snapshotID": "string",
    "names": [
      "string"
    ]
  }
]
{
  "code": 0,
  "message": "string"
}